Category: Packaging   
Difficulty: easy Fixed in Releases:  
Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Sosreport (package sos) in RHEL 6.5 contains "foreman" plugin that calls foreman-debug to collect foreman-related information. In

Foreman 1.4 we added interactivity (if interactive console is found). It can be disabled with -q flag, but sosreport from RHEL 6.5 does

not do that which leads to hang.

To reproduce try (on RHEL 6.5 with Foreman 1.4 RC2+):

sosreport -o foreman --batch

 I am going to provide fix in foreman-debug, or I need to disable interactivity completely. I hope to find a fix.

Associated revisions

Revision 7fbcadb7 - 01/28/2014 07:40 PM - Lukas Zapletal

fixes #4200 - fixed sosreport integration

Revision 097e508f - 01/29/2014 09:02 AM - Lukas Zapletal

fixes #4200 - fixed sosreport integration

(cherry picked from commit 7fbcadb7bc0ebb89c7b6b358dcd0c5c02de7692a)

History

#1 - 01/28/2014 10:34 AM - Lukas Zapletal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1202

#2 - 01/28/2014 09:31 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7fbcadb7bc0ebb89c7b6b358dcd0c5c02de7692a.
